## net.i2p.client
Class MessageStatusMessageHandler

    java.lang.Object
      net.i2p.client.HandlerImpl
          net.i2p.client.MessageStatusMessageHandler

All Implemented Interfaces:
  I2CPMessageHandler

     class MessageStatusMessageHandler

extends HandlerImpl

Handle I2CP MessageStatusMessages from the router. This currently only takes into account status of available, automatically prefetching them as soon as possible

Field Summary

Fields inherited from class net.i2p.client.HandlerImpl
`_context, _log`

Constructor Summary
`MessageStatusMessageHandler(I2PAppContext context)`

Method Summary
`void` `handleMessage(I2CPMessage message, I2PSessionImpl session)`

Methods inherited from class net.i2p.client.HandlerImpl
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageStatusMessageHandler

    public MessageStatusMessageHandler(I2PAppContext context)

Method Detail

### handleMessage

    public void handleMessage(I2CPMessage message,
                              I2PSessionImpl session)